Package org.h2.expression

# Enum Class BinaryOperation.OpType

java.lang.Object
java.lang.Enum<BinaryOperation.OpType>
org.h2.expression.BinaryOperation.OpType

All Implemented Interfaces:
  `Serializable`, `Comparable<BinaryOperation.OpType>`, `Constable`

Enclosing class:
  BinaryOperation

public static enum BinaryOperation.OpType extends Enum<BinaryOperation.OpType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIVIDE`
This operation represents a division as in 4 / 2.
`MINUS`
This operation represents a subtraction as in 2 - 1.
`MULTIPLY`
This operation represents a multiplication as in 2 * 3.
`PLUS`
This operation represents an addition as in 1 + 2.

## Method Summary

Modifier and Type
Method
Description
`static BinaryOperation.OpType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BinaryOperation.OpType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PLUS

public static final BinaryOperation.OpType PLUS
This operation represents an addition as in 1 + 2.

### MINUS

public static final BinaryOperation.OpType MINUS
This operation represents a subtraction as in 2 - 1.

### MULTIPLY

public static final BinaryOperation.OpType MULTIPLY
This operation represents a multiplication as in 2 * 3.

### DIVIDE

public static final BinaryOperation.OpType DIVIDE
This operation represents a division as in 4 / 2.

## Method Details

### values

public static BinaryOperation.OpType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BinaryOperation.OpType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null